accrue.analysis.interprocvarcontext

## Class InterProcVarContextPass<T extends AbstractValue<T>>

- java.lang.Object
- - polyglot.frontend.AbstractPass
  - - accrue.analysis.interprocanalysis.InterProcAnalysisPass<VarContext<T>>
    - - accrue.analysis.interprocvarcontext.InterProcVarContextPass<T>

- All Implemented Interfaces:
    polyglot.frontend.Pass
  Direct Known Subclasses:
    AntiDepPass, DefUsePass, NotNullAnalysisPass

      public class InterProcVarContextPass<T extends AbstractValue<T>>
      extends InterProcAnalysisPass<VarContext<T>>

- - ### Field Summary

    - ### Fields inherited from class accrue.analysis.interprocanalysis.InterProcAnalysisPass

      `extInfo, factory, registrar`

    - ### Fields inherited from class polyglot.frontend.AbstractPass

      `exclusive_time, goal, inclusive_time`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InterProcVarContextPass(polyglot.frontend.ExtensionInfo extInfo, polyglot.frontend.goals.Goal g, Registrar registrar, AnalysisFactory<VarContext<T>> factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected WorkQueue<VarContext<T>>` | `createWorkQueue()` Create the analysis work queue of analysis units
    `protected void` | `postSuccessfulProcess(WorkQueue<VarContext<T>> workQueue)` Post the results of a successful analysis pass

    - ### Methods inherited from class accrue.analysis.interprocanalysis.InterProcAnalysisPass

      `extensionInfo, registrar, run`

    - ### Methods inherited from class polyglot.frontend.AbstractPass

      `exclusiveTime, goal, inclusiveTime, name, resetTimers, toggleTimers, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InterProcVarContextPass

          protected InterProcVarContextPass(polyglot.frontend.ExtensionInfo extInfo,
                                 polyglot.frontend.goals.Goal g,
                                 Registrar registrar,
                                 AnalysisFactory<VarContext<T>> factory)

  - ### Method Detail

    - #### createWorkQueue

          protected WorkQueue<VarContext<T>> createWorkQueue()

      Description copied from class: `InterProcAnalysisPass`
      Create the analysis work queue of analysis units
      Overrides:
        `createWorkQueue` in class `InterProcAnalysisPass<VarContext<T extends AbstractValue<T>>>`

    - #### postSuccessfulProcess

          protected void postSuccessfulProcess(WorkQueue<VarContext<T>> workQueue)

      Description copied from class: `InterProcAnalysisPass`
      Post the results of a successful analysis pass
      Overrides:
        `postSuccessfulProcess` in class `InterProcAnalysisPass<VarContext<T extends AbstractValue<T>>>`